=== ** v1.2.0.16 ===

* [FIX] Fixed user migration from 1.1
* [MOD] Add dot to LDAP group name chack regex. Thanks to @davidpsc. Closes #280
* [MOD] Improved user migration handling.
* [MOD] All input strings are trimmed
* [MOD] Update version

=== ** v1.2.0.15 ===

* [FIX] Fixed LDAP mail retrieving when multiple mail addresses are set. Thanks to @ArminXG. Closes #278
* [MOD] Add LDAP mail mapping. Related #278
* [FIX] Fixed user migration process.
* [FIX] Fixed resetting search filters.
* [FIX] Fixed basic auth check. Thanks to @davidpsc . Closes #275
* [FIX] Fixed LDAP user search filter when ADS is not set. Solves #277

=== ** v1.2.0.14 ===

* [FIX] Fixed issue when installing sysPass. Solves #272
* [FIX] Fixed issue when retrieving HTTP headers on non-Apache environments.

=== ** v1.2.0.13 ===

* [FIX] Fixed issue when pressing copy-to-clipboard icon.
* [FIX] Fixes #215. Password is not shown when it contains special chars. Thanks @goatmaster for the feedback.
* [FIX] Fixes user-in-group checking for accounts ACL. Related #263
* [FIX] Fixes retrieving username from LDAP.
* [FIX] Fixes LDAP group name lookup. Related #257, #258, #264,
* [FIX] Closes #237. Fixed missing field for main group change in account view. Thanks to @Sintbert for the feedback.
* [FIX] Closes #221. Fixed missing apache_request_headers function. Thanks to @alexanderbuhler for the feedback.
* [FIX] Closes #243. Fixed LDAP URL issue when using ADS auth. Thanks to @guannais for the feedback.
* [FIX] Closes #222. Fixed default DB column values when mysql is set in strict mode. Thanks to @tdk1069 for the feedback.
* [FIX] Related #245. MySQL sysPass user account creation  error.
* [FIX] Fixed issue when caching objects in session cache.
* [FIX] Fixed LDAP check when ADS is set. Thanks to @eth0h4ckr for the feedback.
* [FIX] Closes #264. Fixed LDAP group listing issue when there are more than one group with the same name. The first one is picked. Thanks to @eth0h4ckr for the feedback.
* [FIX] Closes #264. Fixed LDAP ADS listing issue when base search is set to the domain top level. Thanks to @eth0h4ckr for the feedback.
* [FIX] Closes #267. Fixed view account link issue.
* [ADD] Dutch translation. Big thanks to @MikeyHoef. #254
* [MOD] Improved actions handler and try o fix edit icon issue. Related #253
* [MOD] Updated Material Design Lite to 1.2
* [MOD] Updated clipboard.js to 1.5.12
* [MOD] Javascript improvements.
* [MOD] Modified search behavior. Now the enter key needs to be pressed to perform searches. This prevents to fulfill the key buffer and server overhead.

=== ** v1.2.0.12 ===

* [ADD] Added temp master password counter (max 100 attempts)
* [FIX] Fixed issue when paging accounts when sort key was set.
* [FIX] Closes #204. Fixed LDAP group search when ADS is set. Thanks to @vplanas
* [ADD] Add styles.css minimized version file
* [FIX] Closes #196. Fixed textarea element name. Thanks to @joeg1484 and @st3reo
* [FIX] Improved installer when database is located in another host.
* [FIX] Enforce 32 bytes IV length.
* [FIX] Minor bugfixes

=== ** v1.2.0.11 ===

* [MOD] Modified logout behavior to prevent login for two times. Related #189
* [MOD] Updated German translation. Thanks to @CyrosX
* [FIX] #198, #166. Put a delay between search requests to not fill the keybinding API very quickly. Thanks to @alexanderbuhler
* [FIX] Fixes #199. When doing 2FA login, the user's preferences weren't loaded
* [FIX]  #166. Fixed error when searching for numbers or ip addresses.
* [FIX] Fixes #185.Thanks to @bitking
* [FIX] Fixes #186. Thanks to @wagnst
* [FIX] Related #189. Login not done for the fisrt time randomly.
* [FIX] Fixed issue when importing accounts from CSV/XML. Form fields were not fully sent.

=== ** v1.2.0.10 ===

* [MOD] Improved login when the webserver auth is used.
* [MOD] Updated Russian translation. Thanks to @TitovLab
* [FIX] Fixed user id checking instead login when using webserver auth. Thanks to @TitovLab
* [FIX] Integer casting for boolean values on users management. Thanks to @maseht
* [FIX] Fixed multibyte string truncation issue. Thanks to @TitovLab
* [FIX] Fixed password custom field double encryption. Thanks to @vvascautan

=== ** v1.2.0.09 ===

* [MOD] Updated French translation. Thanks to @Cyril
* [FIX] Fixed Update accounts' history master password hash when upgrading from previous versions. Thanks to @TitovLab
* [MOD] Modified account history select box behavior when account id matches history id.
* [FIX] Fixed javascript translation in complexity dialog. Thanks to @TitovLab
* [ADD] Added Russian translation. Thanks to @TitovLab
* [FIX] Upload files rewritten to fix issue with UTF8 strings. Removed FileDrop JQuery plugin . Thanks to @TitovLab
* [FIX] Fixed css to fit to card layout.
* [FIX] Set maximum uplodaded file sizes as set in accounts config. Thanks to  @cgarciaarano
* [FIX] Fixed tooltip showing in classic theme. Thanks to @gabrielsoltz
* [FIX] Fixed path and directory separators to be system independent. Thanks to @stawiu
* [FIX] Fixed number parsing by request analyzer. Thanks to @gabrielsoltz and @GastonLex
* [FIX] Copy to clipboard action not shown when show optional actions preference is set.
* [MOD] Enable LDAP debug mode if global debug mode has been enabled.
* [FIX] Fixed issue when importing accounts from CSV file. Thanks to @basil-twisleton
* [FIX] Fixed typo on upgrade query to version 1.1.2.20. Related #165

=== ** v1.2.0.08 ===

* [FIX] Fixed issue on copy password to clipboard on Chrome browser. Related #140. Thanks to @basil-twisleton
* [FIX] Fixed English translation. Related #140.Thanks to @basil-twisleton
* [FIX] Fixed displaying required field when it is a select tag. Related #140.Thanks to @basil-twisleton
* [FIX] Fixed issue when adding an user from LDAP when no group/profile is set (disabled by default). Fixes #157
* [MOD] Modified behavior when adding a new customer from account page. Related #140.Thanks to @basil-twisleton
* [MOD] Updated German translation. Thanks to @wagnst

=== ** v1.2.0.07 ===

* [FIX] Fixed issue when searching an user groupmembership to access to an account. Thanks to @basil-twisleton
* [FIX] Closes #157. Fixed issue when adding LDAP users that don't have any default group/profile set, they are disabled. Thanks to @CyrosX
* [FIX] Closes #154. Modified a string in the ldap template. Thanks to @tsener
* [MOD] Changed default behavior when creating a new account. Now a blank form is displayed. Thanks to @basil-twisleton
* [MOD] Closes #155. Extensions cannot contain other characters than "A-Z", "0-9", "_" and "-". Thanks to @tsener

=== ** v1.2.0.06 ===

* [ADD] New language translation to Catalan. Thanks to @ferrergl
* [ADD] Added some user preferences like show optional actions and top navigation bar.
* [MOD] Updated German translation. Thanks to @wagnst and @ffflorian
* [MOD] Updated French translation. Thanks to jmrh, grandpas29 and julien
* [MOD] Fallback to plain passwords on forms when PKI is not available. It does not affect to the accounts.
* [FIX] Fixed language strings. Closes #147
* [FIX] Fixed master password changing issue that fails when no custom fields are defined.
* [FIX] Fixed redirection from 2FA page after login.
* [FIX] Fixed account main group saving.

=== ** v1.2.0.05-rc5 ===

* [ADD] New classes to improve performance and code readability.
* [ADD] Security enhancement for master password in session.
* [MOD] Minor UI tweaks.
* [MOD] Improved config handling.
* [MOD] Code cleaning.
* [FIX] Accounts' main group were not set when the user hadn't enough privileges.
* [FIX] Accounts restoration didn't restore the account's main group.

=== ** v1.2.0.04-rc4 ===

* [ADD] New copy-to-clipboard using only Javascript NO flash needed (gooood).
* [ADD] New method to optimize/minimize CSS and JS files.
* [ADD] Temporary password can be viewed within session.
* [ADD] Old backup and export files are deleted when performing a new backup/export.
* [ADD] Added the ability to force the connection through HTTPS.
* [ADD] Added back button on some modules.
* [ADD] Added link to add category from new account form.
* [ADD] New user preferences option to sort accounts searching by views.
* [MOD] CSS and JS files are now minimized by default.
* [MOD] Updated translations.
* [MOD] UI tweaks.
* [FIX] Fixed issue on enabling secondary users/groups edit on accounts.
* [FIX] Fixed issue when sending email request to blank recipients.
* [FIX] Fixed event log navigation bar issue.
* [FIX] Fixed issue that custom fields data were not encrypted again when master password is changed.
* [FIX] Fixed issue on copy-to-clipboard when viewing account details.
* [FIX] Fixed issue when sorting accounts search.
* [FIX] Fixed issue when copying accounts (Invalid action message).
* [FIX] Fixed issue while retrieving the public key when no session is active from Javascript to sign.
* [FIX] Fixed language detection issue.

=== ** v1.2.0.03-rc3 ===

* [ADD] New user preferences available
* [MOD] CSS fonts are now stored locally for Material Blue theme

=== ** v1.2.0.02-rc2 ===

* [ADD] Switched to BCRYPT for hashing passwords and key derivation. WARNING: Master password should be reentered by users (you can use a temporary password)
* [MOD] Some tweaks on forms passwords decryption
* [FIX] Fixed issue when blank custom fields are retrieved for an item.

=== ** v1.2.0.01-rc1 ===

* [ADD] Security improvements preventing common threats (SQL Injection, XSS, CSRF)
* [ADD] Fully MVC
* [ADD] Using PDO for database queries
* [ADD] Using PKI for forms passwords encryption (for insecure channels)
* [ADD] Using TOTP for 2-factor authentication
* [ADD] Custom fields can be created for several modules
* [ADD] Export to sysPass encrypted XML file
* [ADD] View passwords as images
* [ADD] Temporary master password for limited time logins
* [ADD] Password generator with complexity options
* [ADD] API authorizations
* [ADD] New visual theme with Material Design Lite by Google
* [ADD] Theming features
* [ADD] Special searches
* [ADD] Image thumbnail preview
* [MOD] 60% of code rewriting for improve performance and reusability (2x faster)
* [MOD] Better error handling
* [MOD] Better in-context help

=== ** v1.1.2.24 ===

* [FIX] Fixed error on saving files extensions.
* [FIX] Fixed checking for updates issue.
* [FIX] Closes #109
* [FIX] Closes #116, Closes #107
* [MOD] Changed behaviour on getting security token for customers, categories, groups, users and profiles edition.
* [MOD] Changed application logo and description.
* [MOD] Added version umber on update title.

=== ** v1.1.2.23 ===

* [FIX] Customer description not being added when it was created. Thanks to @tejadon

=== ** v1.1.2.22 ===

* [ADD] Added cookies enabled detection
* [ADD] Added Russian translation. Big thanks to @TitovLab
* [ADD] Added javascript doc
* [ADD] Added cached language settings
* [MOD] PHP warnings|notices|deprecated are not displayed. Hope no more javascript response breaks
* [FIX] Minor bugfixes

=== ** v1.1.2.21 ===

* [FIX] Javascript compression behaviour with zlib module. Thanks to @tejadon
* [FIX] Javascript header
* [FIX] UI on installation template style

=== ** v1.1.2.20 ===

* [ADD] Database connection port
* [FIX] Some UI errors
* [FIX] Error recursion on database connection error (needs more testing)

=== ** v1.1.2.19 ===

* [FIX] Closes #88. Some notices messages are removed
* [MOD] Closes #92. Source host ip address used for remote database installations
* [MOD] Closes #95. Accounts' password length set to 255 characters
* [MOD] Closes #88. Removed array key that wasn't used anymore.
* [FIX] Fixes #96. Account password not saved when importing some accounts.
* [MOD] Updated build version. Needs DB upgrade (see http://wiki.syspass.org/en/upgrade)

=== ** v1.1.2.18 ===

* [FIX] LDAP group membership. Thanks to @danislav
* [FIX] LDAP email attribute retrieving. Thanks to @danislav
* [MOD] Updated translations
* [FIX] Accounts list notes showed for accounts that don't have.
* [FIX] LDAP users' password salt saving.

=== ** v1.1.2.16-rc2 ===

* [MOD] Updated header and PHPdoc syntax
* [MOD] Improved session cache's config parameters to reduce config file queries
* [MOD] Removed unused methods
* [MOD] Changed some SP_Crypt class methods to static and factorized some functions
* [ADD] Some stuff to demo mode
* [ADD] Closes #68 and Closes #67
* [ADD] Closes #66
* [FIX] CSV file import mimetype detection error from windows.
* [FIX] Closes #76. Fixed password reset when notifications are disabled and user is forced to change it.
* [MOD] Updated german translation
* [ADD] Translated to French. Big thanks to Cyril
* [FIX] Some bugs on javascript translations
* [FIX] Error when default LDAP group/profile is not set.
* [FIX] Fixes for demo mode
* [MOD] Improved forced integer variable value on saving forms.
* [MOD] Disabled autocomplete on password fields (HTML5).
* [FIX] Error on upgrade handling.
* [ADD] Improved browser response by minimizing CSS an JS files and joining into one resource per type.
* [ADD] Class CssMin for minimizing CSSs.
* [ADD] Cached some config values in session to avoid config file readings.
* [ADD] Improved URL handling.
* [ADD] New upgrade process with security code for DB upgrades. See wiki for more details
* [FIX] LDAP escape RDN fixed.
* [FIX] Reload on backup completion.
* [FIX] Master password change not running when zeros are used on left or right.
* [FIX] Some notice events on error log.
* [ADD] Closes #47. Default group&profile can be selected for new LDAP users
* [MOD] Closes #48. Database fields modified for STRICT sql mode
* [ADD] Installer now logs errors to web server error log
* [MOD] Closes #41. LDAP group membership is no longer required for users login.
* [MOD] Closes #45. LDAP users without group membership or expired and already saved data in MySQL, are not allowed to log in.
* [ADD] New backup functionality without running external commands. Windows installations are supported. PHP Phar module required.
* [ADD] New Active Directory mode for LDAP searches.
* [FIX] Fixed XSS on login page because of unsanitized input values. Thanks to Daniele
* [ADD] Closes #48. Passwords fields can be shown to check password characters.
* [FIX] Fixes #52. User data query fit to required fields.
* [ADD] .PO files added to CVS
* [ADD] Additional checks for database connection errors.
* [ADD] Closes #46. Shows additional info about config directory permissions errors.
* [FIX] Error on password generator in Chrome browser.
* [ADD] Improved file upload (HTML5).
* [MOD] Force UTF-8 charset in database connection.
* [FIX] Password view when it contains some special characters.
* [FIX] Search filtering when selected result page was >1
* [FIX] Logout when viewing password.
* [FIX] Closes #40. Error while importing blank passwords.
* [MOD] Cast values to string while importing accounts data.
* [FIX] Customer name text color on searches.
* [ADD] Closes 40. Accounts can be imported from KeePass or KeePassX XML file format.
* [ADD] New switcheable grid visual style for searches. Closes #38
* [FIX] Wrong height for search results in IE 10.
* [ADD] Force page reload on configuration changes.
* [ADD] Closes #20. Copy account's password to clipboard (using Flash).
* [MOD] Prevent to do searches by clicking non alphanumeric keys.
* [FIX] Closes #30. Error on viewing passwords with special characters. Thanks to @chadrempp
* [FIX] Passwords were "sanitized" and hence some characters were removed from saved string
* [ADD] Closes #26. Send email to the user when he was requested (forced) for a password reset.
* [ADD] Enable account restoration from history.
* [ADD] Translated to Hungarian language. Thanks to Tóth Tamás
* [ADD] Enable/Disable authentication on mail.
* [ADD] German translation. Thanks to Uwe Steinmann.
* [ADD] Closes #26. Enable users password reset by email and forced by an admin.
* [ADD] Improved email handling by using phpmailer class. All emails are sent in HTML format and security and authentication are available.
* [ADD] Improved javascript code by code refactoring.
* [ADD] Client IP address is logged in event log.
* [FIX] Fixes #29
* [FIX] Others users/groups are not saved when account is being edited by foreign user
* [MOD] Improved LDAP group membership detection. The user doesn't need to have a group reference attribute.
* [MOD] Improved database upgrading path detection.
* [MOD] Increase 'user_login' field length
* [MOD] Set correct charset on some tables

=== ** v1.0.9 ** ===

* [BUG] Fixed error on showing passwords with special characters. Thanks again to @chadrempp
* [BUG] Fixed error on updating user's password. Thanks to @Chuclucillo

=== ** v1.0.8 ** ===

* [BUG] Fixed error on saving passwords with special characters. Thanks to @chadrempp
* [BUG] Fixed error on saving detected browser language after installing
* [MOD] PHP version is verified on installation process
* [MOD] Translations updates

=== ** v1.0.7 ** ===

* [BUG] Fixed error on language charset selection
* [BUG] Fixed upgrading from phpPMS
* [BUG] Fixed save button not running on user password change

=== ** v1.0.6 ** ===

* [BUG] Fixed error on creating user from LDAP.
* [MOD] Don't check "config" directory permissions on Windows environment.

=== ** v1.0.5 ** ===

* [BUG] Fix blank configuration tab because missing config.php template file that was skipped on building process.
* [MOD] Some PHP's opening tags were not well defined for PHP version 5.3.
* [MOD] Modified some structure control blocks that were using short format and they were not compatible with PHP version 5.3.

=== ** v1.0.4 ** ===

* [MOD] Modified php short open tags for environments that have disabled them.
* [MOD] Visual improvements on search bar.
* [MOD] Filter icon is not shown if not using it.
* [MOD] If browser language does not have translation, or language not set, or is not a spanish variant, english is used.
* [MOD] Show maximum allowed file size for upload on edit account.

=== ** v1.0.3 ** ===

* [BUG] Fixed error on saving search filters in session.
* [BUG] Fixed error on resetting search filters.
* [MOD] On account history view the date select is now visible for selecting another date.
* [MOD] Removed scroll bar on search results.
* [MOD] Better visibility on options activation buttons in users and profiles.
* [MOD] Improvement on searching for updates.

=== ** v1.0.2 ** ===

* [BUG] Fixed "duplicated" records on search results for accounts that have secondary groups.
* [BUG] Fixed notes text with special chars.

=== ** v1.0.1 ** ===

* [BUG] Fix message text on deleting accounts/users/groups/profiles.
* [BUG] Fix error on retrieving profile data while closing session.
* [MOD] Give focus to "inputs" after loading content.
* [MOD] Update translations.

=== ** v1.0 ** ===

* [NEW] Secondary groups are shown on search results context menu.
* [BUG] Fix error on view account permissions. The premissions cache didn't refresh correctly.
* [BUG] Fix error on category management by non administrator users.
* [BUG] Fix error on downloading file after preview.
* [MOD] Updated error message on uploading files.

=== ** v1.0rc3 ** ===

* [BUG] Fix updates checking.
* [BUG] Fix error on removing groups.
* [MOD] Change fancybox to alertify for non-locking messages.
* [MOD] Set version string in DB and config file
* [MOD] Update translations
* [MOD] Add scroll to search, users, groups and profiles results.

=== ** v1.0rc2 ** ===

* [MOD] Better GET/POST variable handling.
* [MOD] Backups errors are shown.
* [MOD] Return to active tab when save configurations tabs.
* [MOD] Fix translations.

=== ** v1.0rc1 ** ===

* [NEW] New name: phpPMS is now sysPass, Sysadmin Password Manager.
* [NEW] One-step install process.
* [NEW] New HTML5 and Ajax based interface with element redistribution and menus to have more space on screen.
* [NEW] Enhanced security with in session master password encryption and forms with unique identity token.
* [NEW] Advanced profiles management with 16 access levels.
* [NEW] Enhanced and simplified users management.
* [NEW] OpenLDAP and Active Directory authentication.
* [NEW] Accounts' history change viewer.
* [NEW] Event log with navigation bar.
* [MOD] Method refactoring and code rewriting for performance.
* [MOD] Database reorganization.

=== ** v0.971b ** ===

* [BUG] Bugfix for BBDD upgrade.
* [MOD] Visual changes.

=== ** v0.97b ** ===

* [BUG] Several bugfixes.
* [MOD] Code improvements.
* [MOD] Visual changes.

=== ** v0.962b ** ===

* [MOD] LDAP module is optional.

=== ** v0.961b ** ===

* [BUG] Critical bugfixes.
* [NEW] Added new user roles:  accounts administrator (A) and application administrator (A+). Group with id 1 is removed as administrators.
* [MOD] Suppressed PHP warnings. Code adapted to E_STRICT.
* [MOD] Improved session timeout.
* [MOD] Installer improvements.

=== ** v0.96b **  ===

* [BUG] If you change the master password, users that are logged in, can't change account passwords.
* [BUG] Minor bugfixes.
* [NEW] New secure password generator.
* [NEW] New password strength meter.
* [MOD] Installation options has been simplified.

=== ** v0.954b **  ===

* [BUG] Bugfixed installer on update process.

=== ** v0.953b **  ===

* [BUG] Minor bugfixes.
* [NEW] New configuration options.
* [NEW] Help for configuration parameters.
* [MOD] Installer improvements.
* [MOD] Design changes.


=== ** v0.952b **  ===

* [BUG] Installer bugfixes.
* [NEW] Apply DB updates according to version.

=== ** v0.951b **  ===

* [BUG] Minor bugfixes.
* [MOD} English translation completed (I hope, if you find a mistake, please tell me).

=== ** v0.95b **  ===

* [BUG] Minor bugfixes.
* [NEW] Installer has been rewritten. Now is possible to create/update the database from web browser. Also, it's possible to modify configuration parameters.
* [NEW] i18n support (localization).

=== ** v0.94b **  ===

* [BUG] Fixed issue on checking updates.
* [BUG] Minor bugfixes.
* [MOD] Improved installer.
* [MOD] Design changes.

=== ** v0.93b **  ===

* [BUG] Minor bugfixes.

=== ** v0.92b **  ===

* [BUG] Minor bugfixes.
* [NEW] Configuration options management.
* [NEW] Autocheck for updates.
* [NEW] Attachments of type text or image could be previewed.

=== ** v0.91b **  ===

* [BUG] Bugfixed ajax query with sessión finished.
* [NEW] Configuration options are stored on DB. It's not needed config.ini file (it could be downloaded if the server have not been configured to deny this kind of files). In the next releases it there will be an interface to configure these options.
* [MOD] Improved security of DB queries.
* [MOD] Layout changes.

=== ** v0.9b **  ===

* [NEW] Initial version.
